<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMasterEventTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('master_event', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('fk_user');
            $table->string('event_name');
            $table->string('event_slug');
            $table->string('event_status');
            $table->date('start_date');
            $table->date('end_date');
            $table->nullableTimestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::dropIfExists('master_event');
    }
}
